Loading...
Searching...
No Matches
WINSEC_DOM_SID Struct Reference

XXX: document this. More...

`#include "winsec.h"`

## Data Fields

uint8_t | sid_rev_num
| SID revision number.
uint8_t | num_auths
| Number of sub-authorities.
uint8_t | id_auth [6]
| Identifier Authority.
uint32_t | sub_auths [WINSEC_MAX_SUBAUTHS]
| Pointer to sub-authorities.

## Detailed Description

XXX: document this.

## Field Documentation

## sub_auths

uint32_t WINSEC_DOM_SID::sub_auths[WINSEC_MAX_SUBAUTHS]

Pointer to sub-authorities.

Note
  The values in these uint32_t's are in native byteorder, not neccessarily little-endian...... JRA.

Referenced by winsec_parse_dom_sid(), winsec_sid2str(), and winsec_sid_compare().

The documentation for this struct was generated from the following file:

- winsec.h